js_objnew.d(1m)

NAME
js_objnew.d - count JavaScript object creation using DTrace.

SYNOPSIS
js_objnew.d

DESCRIPTION
This traces JavaScript activity from all browsers running on the system with JavaScript provider support. Filename and class names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_objnew.d

FIELDS

FILE
    Filename of the JavaScript program

CLASS
    Class of new object

COUNT
    Number of object creations during tracing

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_objnew.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)